/**
  ******************************************************************************
  * @file    usb_bsp.h
  * @author  MCD Application Team
  * @version V1.0.0
  * @date    16-January-2014
  * @brief   Specific api's related to the used hardware platform
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __USB_BSP__H__
#define __USB_BSP__H__

/* Includes ------------------------------------------------------------------*/
#include "usb_dcd.h"

/* Exported defines ----------------------------------------------------------*/
/* Exported types ------------------------------------------------------------*/
/* Exported macros -----------------------------------------------------------*/
/* Exported variables --------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void USB_BSP_Init (USB_CORE_HANDLE *pdev);
void USB_BSP_EnableInterrupt (USB_CORE_HANDLE *pdev);
void USB_BSP_uDelay (const uint32_t usec);
void USB_BSP_mDelay (const uint32_t msec);

#endif /* __USB_BSP__H__ */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/

