/**
  ******************************************************************************
  * @file    usbd_usr.h
  * @author  MCD Application Team
  * @version V1.0.0
  * @date    16-January-2014
  * @brief   Header file for usbd_usr.c
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __USBD_USR_H__
#define __USBD_USR_H__

/* Includes ------------------------------------------------------------------*/
#include "usbd_core.h"

/* Exported defines ----------------------------------------------------------*/
/* Exported types ------------------------------------------------------------*/
/* Exported macros -----------------------------------------------------------*/
/* Exported variables --------------------------------------------------------*/
extern	USBD_Usr_cb_TypeDef USR_cb;

/* Exported functions ------------------------------------------------------- */
void	 USBD_USR_Init(void);
void	 USBD_USR_DeviceReset (uint8_t speed);
void	 USBD_USR_DeviceConfigured (void);
void	 USBD_USR_DeviceSuspended(void);
void	 USBD_USR_DeviceResumed(void);

#endif /*__USBD_USR_H__*/

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
