/**
  ******************************************************************************
  * @file    tsl_time_stm32f3xx.h
  * @author  MCD Application Team
  * @version V1.4.3RC2
  * @date    09-December-2013
  * @brief   This file contains external declarations of the tsl_time_stm32f3xx.c file.
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TSL_TIME_STM32F3XX_H
#define __TSL_TIME_STM32F3XX_H

/* Includes ------------------------------------------------------------------*/
#if defined(STM32F30X)
#include "stm32f30x.h"
#endif
#if defined(STM32F37X)
#include "stm32f37x.h"
#endif
#include "tsl_conf_stm32f3xx.h"
#include "tsl_types.h"

/* Exported types ------------------------------------------------------------*/

TSL_Status_enum_T TSL_tim_Init(void);

#endif /* __TSL_TIME_STM32F3XX_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
