/**
  ******************************************************************************
  * @file    usbd_msc_hid_wrapper.h
  * @author  MCD Application Team
  * @version V1.0.0
  * @date    16-January-2014
  * @brief   header file for the usbd_msc_hid_wrapper.c file.
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __USB_HID_MSC_WRAPPER_H_
#define __USB_HID_MSC_WRAPPER_H_

/* Includes ------------------------------------------------------------------*/
#include  "usbd_ioreq.h"

/* Exported defines ----------------------------------------------------------*/
#define HID_INTERFACE 0x0
#define MSC_INTERFACE 0x1

/* Exported types ------------------------------------------------------------*/
/* Exported macros -----------------------------------------------------------*/
#define USB_HID_MSC_CONFIG_DESC_SIZ  (CUSTOMHID_SIZ_CONFIG_DESC -9 + USB_MSC_CONFIG_DESC_SIZ)

/* Exported variables --------------------------------------------------------*/
extern USBD_Class_cb_TypeDef  USBD_HID_MSC_cb;

/* Exported functions ------------------------------------------------------- */


#endif	/* __USB_HID_MSC_WRAPPER_H_ */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
