/**
  ******************************************************************************
  * @file    tsl_filter.h
  * @author  MCD Application Team
  * @version V1.4.3RC2
  * @date    09-December-2013
  * @brief   This file contains external declarations of the tsl_filter.c file.
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TSL_FILTER_H
#define __TSL_FILTER_H

/* Includes ------------------------------------------------------------------*/
#include "tsl_acq.h"

/* Exported types ------------------------------------------------------------*/
TSL_tMeas_T TSL_filt_MeasFilter(TSL_tMeas_T measn1, TSL_tMeas_T measn);
TSL_tDelta_T TSL_filt_DeltaFilter(TSL_tDelta_T delta);

#endif /* __TSL_FILTER_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
