/**
  ******************************************************************************
  * @file    tsl_time_stm8l.h
  * @author  MCD Application Team
  * @version V1.4.3RC2
  * @date    09-December-2013
  * @brief   This file contains external declarations of the tsl_time_stm8l.c file.
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TSL_TIME_STM8L_H
#define __TSL_TIME_STM8L_H

/* Includes ------------------------------------------------------------------*/

#if defined(STM8L15X_LD) || defined(STM8L15X_MD) || defined(STM8L15X_MDP) || defined(STM8L15X_HD)
#include "stm8l15x.h"
#endif

#if defined(STM8L10X)
#include "stm8l10x.h"
#endif

#include "tsl_conf_stm8l.h"
#include "tsl_types.h"

/* Exported types ------------------------------------------------------------*/

TSL_Status_enum_T TSL_tim_Init(void);

#endif /* __TSL_TIME_STM8L_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
